Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.sql.ordering.antlr
Interface TranslationContext

    public interface TranslationContext

Contract for contextual information required to perform translation.

Method Summary
`ColumnMapper` | `getColumnMapper()` Retrieves the `column mapper` for this context.
`Dialect` | `getDialect()` Retrieves the `dialect` for this context.
`SessionFactoryImplementor` | `getSessionFactory()` Retrieves the `session factory` for this context.
`SQLFunctionRegistry` | `getSqlFunctionRegistry()` Retrieves the `SQL function registry/tt> for this context.`

Method Detail

### getSessionFactory

    SessionFactoryImplementor getSessionFactory()

  Retrieves the `session factory` for this context.

  Returns:
    The `session factory`

### getDialect

    Dialect getDialect()

  Retrieves the `dialect` for this context.

  Returns:
    The `dialect`

### getSqlFunctionRegistry

    SQLFunctionRegistry getSqlFunctionRegistry()

  Retrieves the `SQL function registry/tt> for this context.

  `
  Returns:
    The SQL function registry.

### getColumnMapper

    ColumnMapper getColumnMapper()

  Retrieves the `column mapper` for this context.

  Returns:
    The `column mapper`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.